function love.load()
	ncanvas = love.graphics.newCanvas()
	scanvas = love.graphics.newCanvas()
	shader = love.graphics.newShader([[
		extern sampler2D map;
		extern vec2 dimensions;
		vec4 effect( vec4 col, Image texture, vec2 texturePos, vec2 screenPos ){
			vec4 c;
			vec2 step = vec2(1/dimensions.x,1/dimensions.y);
			for(number x = 0.0; x > 1; x+step.x){
				for(number y = 0.0; y > 1; y+step.y){
					c += texture2D(map,vec2(x,y)).rgba/vec4(2);
				}
			}
			return c;
		}
		]]
	)
	love.filesystem.setIdentity('shadertest')
	love.graphics.setPointStyle('rough')
end

function love.draw()
	love.graphics.setCanvas(ncanvas)
		ncanvas:clear()
		love.graphics.setColor(255, 0, 0, 255)
		love.graphics.point(100, 100)
		love.graphics.point(200, 200)
	love.graphics.setCanvas()
	shader:send('map',ncanvas)
	shader:send('dimensions',{800,600})
	love.graphics.setShader(shader)
	love.graphics.draw(scanvas)
	love.graphics.setShader()
	if love.keyboard.isDown(' ') then
		ncanvas:getImageData():encode('test.png')
	end
end

